> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeblast.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Credit Request

> Creates a credit request for a rejected alert. Will fail if requesting credit from resolved alert or alert with an existing credit request, otherwise will simply return 200 response code.



## OpenAPI

````yaml post /api/v2/credit-request/create
openapi: 3.0.1
info:
  title: Chargeblast API
  version: 0.1.0
servers:
  - url: https://api.chargeblast.com
security: []
tags:
  - name: Credit Requests
  - name: Sync Data
  - name: Alerts
  - name: Disputes
  - name: Enrollment
paths:
  /api/v2/credit-request/create:
    post:
      tags:
        - Credit Requests
      summary: Create Credit Request
      description: >-
        Creates a credit request for a rejected alert. Will fail if requesting
        credit from resolved alert or alert with an existing credit request,
        otherwise will simply return 200 response code.
      operationId: postApiV2Credit-requestCreate
      parameters:
        - name: X-API-Key
          required: true
          in: header
          schema:
            type: string
          description: Your API key. Sent in the `X-API-Key` header.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefundRequestBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: integer
                format: int64
          description: OK
components:
  schemas:
    RefundRequestBody:
      properties:
        comments:
          nullable: true
          type: string
        alert_id:
          type: string
      required:
        - alert_id
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.